#!/bin/sh

myname=`basename $0`
usage () {
# TRANSLATE quoted string after echo command
    echo "
p@:  $myname {-brtype | -xpn} pname
:  pname ́Au`܂̓o[W IuWFNg̃pX
        -brtype ̓u` ^CvԂꍇɎgp
        -xpn ̓u` IuWFNg̊gpXԂꍇɎgp
"
}

if [ "$1" = "-brtype" ]; then
    result="type"
    shift
elif [ "$1" = "-xpn" ]; then
    result="xpn"
    shift
else
    usage
fi

pname=$1
xpname=`cleartool describe -short $pname`
mtype=`cleartool describe -fmt %m $pname`
if [ "$mtype" = "branch" ]; then
    branch=$xpname
    brtype=`basename $xpname`
elif [ "$mtype" = "version" -o "$mtype" = "directory version" -o \
       "$mtype" = "derived object version" ]; then
    branch=`dirname $xpname`
    brtype=`basename $branch`
else
    # TRANSLATE quoted string after echo command
    echo 1>&2 "G[: ̃u`ʂł܂: \"$pname\""
    exit 1
fi

if [ $result = "type" ]; then
    echo $brtype
else
    echo $branch
fi
